%global pypi_name docker

%global with_python3 1

Name:           python-%{pypi_name}
Version:        2.2.1
Release:        %mkrel 2
Summary:        A Python library for the Docker Engine API
Group:          Development/Python

License:        MIT
URL:            https://pypi.python.org/pypi/docker
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         remove_extra_require.patch
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pip
BuildRequires:  python-setuptools

%description
A Python library for the Docker Engine API

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A Python library for the Docker Engine API
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip

%description -n python3-%{pypi_name}
A Python library for the Docker Engine API
%endif

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%if 0%{?with_python3}
cp -a . %{py3dir}
pushd %{py3dir}
%patch0 -p1
popd
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif


%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif




%changelog
* Mon May 22 2017 philippem <philippem> 2.2.1-2.mga6
+ Revision: 1104120
- fix python3 egg dependencies

* Tue May 16 2017 neoclust <neoclust> 2.2.1-1.mga6
+ Revision: 1101937
- imported package python-docker

